import { 
  select, 
  range
} from 'd3';

const width = 960;
const height = 500;
const squareSize = 10;

const svg = select('div').append('svg')
  .attr('width', width)
  .attr('height', height)
  .attr('viewBox', '0 0 100 50')
  .style('border', 'green solid');

svg.selectAll('path.vertical').data(range(10))
  .enter().append('path')
    .attr('class', 'vertical')
    .style('stroke', 'green')
    .style('stroke-width', '.2')
    .attr('d', i => `M${i * squareSize} 0 V100`);

svg.selectAll('path.horizontal').data(range(5))
  .enter().append('path')
    .attr('class', 'horizontal')
    .style('stroke', 'green')
    .style('stroke-width', '.2')
    .attr('d', i => `M0 ${i * squareSize} H100`);
